## freetalk 3.2

=== debian/changelog ===
freetalk (3.2-11) unstable; urgency=low

  * debian/copyright:
    + Updated for copyright-format 1.0
  * debian/rules:
    + Added hardening support.
  * debian/control:
    + Updated to Standard-Version to 3.9.3
    + Build-Depends: dpkg-dev (>= 1.16.1~) for dpkg-buildflags support.

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Jun 2012 17:42:30 +0530

freetalk (3.2-10) unstable; urgency=low

  * debian/control:
    + Removed hardcoded list of non-Linux architectures for beep
      (Closes: #634297)

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jul 2011 21:43:23 +0530

freetalk (3.2-9) unstable; urgency=low

  * Reverting debian/rules changes as it causing FTBFS

 -- Kartik Mistry <kartik@debian.org>  Fri, 01 Jul 2011 12:14:11 +0530

freetalk (3.2-8) unstable; urgency=low

  * debian/patches/02_link_options.diff:
    + Added patch to fix FTBFS with ld --as-needed, Thanks to Ilya Barygin
      <barygin@gmail.com> (Closes: #631692)
  * debian/rules:
    + Fixed as per latest policy

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Jun 2011 19:01:41 +0530

freetalk (3.2-7) unstable; urgency=low

  * debian/control:
    + Updated short description to not use article
    + Do not recommend 'beep' on kFreebsd-* architectures
    + Updated to Standard-Version to 3.9.2
  * debian/copyright:
    + Updated as per latest DEP-5 specifications

 -- Kartik Mistry <kartik@debian.org>  Thu, 02 Jun 2011 12:12:36 +0530

freetalk (3.2-6) unstable; urgency=low

  * debian/source/format:
    + Added to use source format 3.0 (quilt)
  * debian/control:
    + Updated to Standard-Version to 3.8.4
    + Updated long description
    + Removed dependency on quilt
  * debian/copyright:
    + Updated as per DEP-5 specifications

 -- Kartik Mistry <kartik@debian.org>  Sat, 29 May 2010 17:42:35 +0530

freetalk (3.2-5) unstable; urgency=medium

  * Urgency set to medium, Fixing RC Bug
  * debian/patches/01_callbacks_const_fix.diff:
    + Added patch to fix FTBFS due to a modified const in src/callbacks.cc,
      Thanks to Ubuntu for patch (Closes: #560535)
  * debian/control:
    + Since guile-1.8-dev is in ia64, don't depend on guile-1.6-dev there now

 -- Kartik Mistry <kartik@debian.org>  Tue, 29 Dec 2009 22:36:41 +0530

freetalk (3.2-4) unstable; urgency=low

  * debian/control:
    + Build-Depends on libreadline-dev instead of libreadline5-dev
  * Removed unused debian/README.source file

 -- Kartik Mistry <kartik@debian.org>  Sun, 13 Sep 2009 22:01:43 +0530

freetalk (3.2-3) unstable; urgency=low

  * Added debian/README.source file
  * debian/control:
    + [Lintian] Added install-info to Depends
    + Updated to Standard-Version to 3.8.3

 -- Kartik Mistry <kartik@debian.org>  Fri, 28 Aug 2009 22:52:02 +0530

freetalk (3.2-2) unstable; urgency=low

  * debian/control:
    + Updated dependency on automake1.11 (Closes: #541509)
    + Updated to Standard-Version to 3.8.2
    + Wrapped dependencies
    + Updated debhelper dependency to 7
  * debian/rules:
    + Adjusted to use automake1.11
    + Removed installation of info/dir.gz in package
    + Used dh_prep instead of dh_clean -k
  * debian/copyright:
    + Don't use versionless symlink to license text
    + Updated copyright year for Debian package
    + Updated to use correct copyright symbol

 -- Kartik Mistry <kartik@debian.org>  Sat, 15 Aug 2009 11:17:42 +0530

freetalk (3.2-1) unstable; urgency=low

  * New upstream release:
    + Fix hang at start-up for some users (Closes: #495219)
  * debian/copyright:
    + All files of package is under GPL-3+ now
    + Updated emails of upstream authors
    + Updated Debian copyright and my email there

 -- Kartik Mistry <kartik@debian.org>  Tue, 18 Nov 2008 08:59:04 +0530

freetalk (3.1-1) unstable; urgency=medium

  * Urgency set to medium, fixing FTBFS on ia64 due to dependency on guile-1.8
  * New upstream version
  * debian/patches:
    + Removed, merged with upstream
  * debian/rules:
    + Dropped dpatch support
  * debian/control:
    + Dropped dpatch support

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Aug 2008 19:10:36 +0530

freetalk (3.0-3) unstable; urgency=medium

  * Fixing RC bug, urgency set to medium
  * debian/control:
    + Does not depend on guile1.8 for ia64 arch, so that freetalk can
      migrate in Lenny and this will fix dependency of automake1.8 of
      version 0.69 (Closes: #496115)
    + Updated my maintainer email address

 -- Kartik Mistry <kartik@debian.org>  Sat, 23 Aug 2008 12:57:45 +0530

freetalk (3.0-2) unstable; urgency=low

  * Fix bashism in extensions/first-time-run.sh (Closes: #489577)
  * Update Standard-Version to 3.8.0 in debian/control
  * remove errant .arch-ids in examples/ directory.
  * Fixed debian/rules to correctly handle config.sub and config.guess so they 
    are not included in the diff.gz
  * ./configure --enable-maintainer-mode
  * depend on guile1.8 not 1.6

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 21 Jul 2008 19:13:28 -0400

freetalk (3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated dependency on guile-1.8-dev, automake1.10
    + Added dpatch support
    + Moved Homepage entry to control field
    + Updated long description
    + Updated Standards-Version to 3.7.3
  * debian/copyright:
    + Updated license text, freetalk is under GPL-3 now
    + Corrected package copyright text
    + Added src/* license text as they are under GPL-2
    + Updated download location
  * debian/watch: updated to get latest versions
  * debian/rules:
    + Updated automake support
    + Added option for verbose mode
    + Changes needed for dpatch support
  * debian/patches/01_manpage_fix.dpatch:
    + Added patch to fix wrong NAME section

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 1 Dec 2007 14:56:11 +0530

freetalk (0.69-2) unstable; urgency=low

  * debian/control: added missing build dependency on texinfo and automake1.8
    so that buildd can include and build .info file correctly

