=== debian/control ===
Source: freetalk
Section: net
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: automake1.11,
               autotools-dev,
               debhelper (>= 7),
               dpkg-dev (>= 1.16.1~),
               guile-1.8-dev,
               libglib2.0-dev,
               libloudmouth1-dev,
               libreadline-dev,
               texinfo
Homepage: http://www.gnu.org/software/freetalk
Standards-Version: 3.9.3

Package: freetalk
Architecture: any
Depends: guile-1.8, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: beep [linux-any], dict, urlview
Description: console based Jabber client
 This package features a readline interface with completion of buddy names,
 commands and even ordinary English words. It is extensible, configurable, and
 scriptable through a Guile interface.
