=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/freetalk/freetalk-([\d\.]+)\.tar\.gz
